Bug 65515 - Setting ClientID (-I switch) does not work
Setting ClientID (-I switch) does not work
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 12:24 EDT by blomman
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-28 13:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description blomman 2002-05-26 12:24:42 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; 
Description of problem: 
The -I (set ClientID) command line option does not work. When 
looking at the dhcpd.leases file on the DHCP server, the 
client id (uid) is set to the ethernet address no mater what 
the -I option is set to. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1. dhcpcd -I myclientid -h myhostname eth0 
Actual Results:  uid is set to ethernet address in 
Expected Results:  uid should be set to "\000myclientid" 
Additional info: 
I previously sent a bug report to "sv@phystech.com" but I 
thought I'd better enter it here as well.
Comment 1 blomman 2002-05-26 12:31:10 EDT
I took a fast look at the source and found something strange 
in client.c/dhcpReboot. I don't fully understand everything, 
but when I copied the call to "clientIDsetup" outside the "if 
(readDhcpCache) {}" thing, it started to work. 
It seems strange that the clientIDsetup function is only 
called if something goes wrong while reading the cache. 
Comment 2 John Wells 2002-05-26 22:10:53 EDT
I downloaded the 1.3.22-pl1 source from Sergei's website, and the -I switch 
works fine, but not the 1.3.22-pl1 included with 7.3.  Strange..
Comment 3 Elliot Lee 2002-05-27 14:04:14 EDT
blizzard's patch might be to blame for this...
Comment 4 blomman 2002-05-27 19:06:42 EDT
This is what I have tested:
RH7.3 i386 RPM: This is how I discovered the problem.

Installed the source RPM and untared the source. Did _not_ apply the patches.
Still the same result.

Downloaded tar-archive from ftp.phystech.com and diffed it against the
tar-archive in the SRPM. No difference.

I have not had time to investigate this further. At some point in my tests it
started working and then stopped working again. Maybe this could be some effect
depending on the state of the cache ?
Or some DHCP event triggering the call to "clientIDsetup" ?
Comment 5 Elliot Lee 2002-06-20 12:20:01 EDT
OK, it's broken upstream, please send e-mail to sv@phystech.com, and when you have a 
resolution we can include it in our package.

Note You need to log in before you can comment on or make changes to this bug.